Maven IDEA Plugin (RETIRED)
  1. Maven IDEA Plugin (RETIRED)
  2. MIDEA-121

Allow users to specify Project Language Level that is generated with plugin

    Details

    • Type: Improvement Improvement
    • Status: Open Open
    • Priority: Major Major
    • Resolution: Unresolved
    • Affects Version/s: None
    • Fix Version/s: None
    • Labels:
      None
    • Environment:
      Plugin version 2.2, IntellijJ 8.1
    • Number of attachments :
      4

      Description

      When i run mvn idea:idea plugin, the projects are generate .ipr files with Project Language Level set to 5.0

      Is there a way to configure the plugin to have that be set to 6.0 instead?

      It seems that you need this attribute in the <component> declaration: languageLevel="JDK_1_6"

       <component name="ProjectRootManager" version="2" languageLevel="JDK_1_6" assert-keyword="true" jdk-15="true" 
      project-jdk-name="1.6" project-jdk-type="JavaSDK" />
      

      This is what i have after i set the language level manually, see screenshot. This is in IntelliJ 8.1

      1. robust.patch
        3 kB
        Gin-Ting Chen
      2. simple.patch
        0.6 kB
        Gin-Ting Chen
      1. screenshot-1.jpg
        17 kB
      2. screenshot-1.jpg
        17 kB

        Activity

        toli kuznets made changes -
        Field Original Value New Value
        Attachment screenshot-1.jpg [ 41238 ]
        toli kuznets made changes -
        Attachment screenshot-1.jpg [ 41239 ]
        Gin-Ting Chen made changes -
        Attachment simple.patch [ 46305 ]
        Attachment robust.patch [ 46306 ]

          People

          • Assignee:
            Unassigned
            Reporter:
            toli kuznets
          • Votes:
            1 Vote for this issue
            Watchers:
            1 Start watching this issue

            Dates

            • Created:
              Updated: